## ayatana-indicator-datetime 24.2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-indicator-datetime VERSION 24.2.0 LANGUAGES C CXX)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set (PACKAGE ${CMAKE_PROJECT_NAME})

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
## Gettext
##

set (GETTEXT_PACKAGE "ayatana-indicator-datetime")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

set (
    SERVICE_DEPS
    libayatana-common>=0.9.3
    glib-2.0>=2.36
    gio-unix-2.0>=2.36
    libical>=0.48
    libecal-2.0>=3.16
    libedataserver-1.2>=3.5
    gstreamer-1.0>=1.2
    libnotify>=0.7.6
    properties-cpp>=0.0.1
    libaccounts-glib>=1.18
    messaging-menu>=0.8.2
    uuid>=2.25
)

if (ENABLE_LOMIRI_FEATURES)
    list (
        APPEND
        SERVICE_DEPS
        lomiri-url-dispatcher>=0
        lomiri-sounds
        lomiri-schemas
    )

    pkg_get_variable(ALARM_DEFAULT_SOUND lomiri-sounds alarm_default_sound)
    pkg_get_variable(CALENDAR_DEFAULT_SOUND lomiri-sounds calendar_default_sound)
    string(JOIN " " ALARM_DEFAULT_SOUND ${ALARM_DEFAULT_SOUND})
    string(JOIN " " CALENDAR_DEFAULT_SOUND ${CALENDAR_DEFAULT_SOUND})

    add_definitions (
        -DLOMIRI_FEATURES_ENABLED
        -DALARM_DEFAULT_SOUND="${ALARM_DEFAULT_SOUND}"
        -DCALENDAR_DEFAULT_SOUND="${CALENDAR_DEFAULT_SOUND}"
    )
else ()
    add_definitions (
        -DALARM_DEFAULT_SOUND="dummy"
        -DCALENDAR_DEFAULT_SOUND="dummy"
    )

    set (ALARM_DEFAULT_SOUND "dummy")
endif ()

pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# testing & coverage
if (ENABLE_TESTS)

    include(CTest)
    pkg_check_modules (DBUSTEST REQUIRED dbustest-1>=14.04.0)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
        TARGETS indicatordatetimeservice ayatana-indicator-datetime-service
        TESTS ${COVERAGE_TEST_TARGETS}
        FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.datetime.gschema.xml")
set (SCHEMA_FILE_IN    "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
set (SCHEMA_FILE       "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
# generate the .xml.in file so cmake constants are included
configure_file(${SCHEMA_FILE_IN} ${SCHEMA_FILE})

# let GSettings do the rest
find_package(GSettings REQUIRED)
add_schema (${SCHEMA_NAME})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install XDG autostart
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.datetime")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
set (SERVICE_LIB "indicatordatetimeservice")
set (SERVICE_EXEC "ayatana-indicator-datetime-service")

add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")

# handwritten sources
set (SERVICE_C_SOURCES
     utils.c)
set (SERVICE_CXX_SOURCES
     actions.cpp
     actions-live.cpp
     alarm-queue-simple.cpp
     awake.cpp
     appointment.cpp
     clock.cpp
     clock-live.cpp
     date-time.cpp
     engine-eds.cpp
     exporter.cpp
     formatter.cpp
     formatter-desktop.cpp
     haptic.cpp
     locations.cpp
     locations-settings.cpp
     menu.cpp
     myself.cpp
     notifications.cpp
     planner.cpp
     planner-aggregate.cpp
     planner-snooze.cpp
     planner-month.cpp
     planner-range.cpp
     planner-upcoming.cpp
     settings-live.cpp
     snap.cpp
     sound.cpp
     timezone-geoclue.cpp
     timezones-live.cpp
     timezone-timedated.cpp
     utils.c
     wakeup-timer-mainloop.cpp
     wakeup-timer-powerd.cpp)

# generated sources
include (GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                  org.ayatana.indicator
                  ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.datetime.AlarmProperties.xml)

if (ENABLE_LOMIRI_FEATURES)
        add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
                          com.lomiri.touch
                          /usr/share/accountsservice/interfaces/com.lomiri.touch.AccountsService.Sound.xml)
endif()

# add the bin dir to our include path so our code can find the generated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR})

set_source_files_properties (engine-eds.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_C_FLAGS} -Wno-enum-constexpr-conversion")
add_library (${SERVICE_LIB} STATIC ${SERVICE_C_SOURCES} ${SERVICE_CXX_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

add_executable (${SERVICE_EXEC} main.cpp)
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== tests/CMakeLists.txt ===
find_package(GMock REQUIRED)

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the ayatana-indicator-datetime schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.datetime.gschema.xml
                    COMMAND cp -n ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR} || echo "Skip copying schema file, another thread is doing it already"
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})


add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")

function(add_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()

add_test_by_name(test-datetime)
add_test_by_name(test-sound)

if (ENABLE_LOMIRI_FEATURES)
    add_test_by_name(test-notification)
endif ()

add_test_by_name(test-notification-response)
add_test_by_name(test-actions)
add_test_by_name(test-alarm-queue)
add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
add_test_by_name(test-clock)
add_test_by_name(test-exporter)
add_test_by_name(test-formatter)
add_test_by_name(test-live-actions)
add_test_by_name(test-locations)
add_test_by_name(test-menu-appointments)
add_test_by_name(test-menus)
add_test_by_name(test-planner)
add_test_by_name(test-settings)
add_test_by_name(test-timezone-timedated)
add_test_by_name(test-utils)

set (TEST_NAME manual-test-snap)
set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME})
add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
target_link_options(${TEST_NAME} PRIVATE -no-pie)
target_link_libraries (${TEST_NAME} indicatordatetimeservice ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})

##
## EDS Tests
##

find_program(DBUS_RUNNER dbus-test-runner)

function(add_eds_ics_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics")
  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
  add_test (${TEST_NAME}
            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
            ${TEST_NAME}                                           # arg3: test name
            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics           # arg5: the ical file for this test
            ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg6: online accounts database
endfunction()
add_eds_ics_test_by_name(test-eds-ics-all-day-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-events)
add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-valarms)
add_eds_ics_test_by_name(test-eds-ics-missing-trigger)
add_eds_ics_test_by_name(test-eds-ics-tzids)
add_eds_ics_test_by_name(test-eds-ics-tzids-2)
add_eds_ics_test_by_name(test-eds-ics-tzids-utc)
add_eds_ics_test_by_name(test-eds-ics-non-attending-alarms)
add_eds_ics_test_by_name(test-eds-ics-repeating-events-with-individual-change)
add_eds_ics_test_by_name(test-eds-ics-alarm-custom-sound)

function(add_dbusmock_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_dbusmock_test_by_name(test-timezone-geoclue)
add_dbusmock_test_by_name(test-timezones)

set(
  COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-datetime (24.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:01 +0000

ayatana-indicator-datetime (24.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:20 +0000

ayatana-indicator-datetime (24.2.0-1) unstable; urgency=medium

  [ Ratchanan Srirattanamet ]
  * debian/rules:
    + Fix building with nocheck build profile.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2024 18:01:22 +0100

=== debian/control ===
Source: ayatana-indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               intltool,
               libaccounts-glib-dev (>= 1.18),
               libayatana-common-dev (>= 0.9.3),
               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
               libedataserver1.2-dev (>= 3.5),
               libglib2.0-dev (>= 2.35.4),
               libgstreamer1.0-dev,
               libical-dev (>= 1.0),
               libmessaging-menu-dev,
               libnotify-dev (>= 0.7.6),
               libproperties-cpp-dev,
               uuid-dev,
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
               liblomiri-url-dispatcher-dev,
# for the test harness:
               dbus-test-runner <!nocheck>,
               libdbustest1-dev <!nocheck>,
               libgtest-dev <!nocheck>,
               python3-dbusmock <!nocheck>,
# for 12h/24h locale unit tests:
               locales <!nocheck>,
# for running live EDS tests:
               evolution-data-server <!nocheck>,
               gvfs-daemons <!nocheck>,
               systemd [linux-any] <!nocheck>,
# for tests that require the org.ayatana.common GSchema
               ayatana-indicator-common <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/

Package: ayatana-indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            evolution-data-server,
            geoclue-provider,
Breaks: indicator-datetime,
Replaces: indicator-datetime,
Description: Ayatana Indicator providing clock and calendar
 This Ayatana Indicator provides a combined calendar, clock, alarm and
 event management tool.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_LOMIRI_FEATURES=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	DEB_CMAKE_EXTRA_FLAGS += -DENABLE_TESTS=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-datetime 24.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-datetime VERSION 24.2.0 LANGUAGES C CXX)
+project (ayatana-indicator-datetime VERSION 24.5.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== debian/changelog ===
ayatana-indicator-datetime (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages. These should be pulled-
      in via the desktop environment where AyatanaIndicators get used.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:36:14 +0100

ayatana-indicator-datetime (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 08:59:13 +0200

ayatana-indicator-datetime (24.2.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060548).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:35:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-datetime
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -36,10 +35,10 @@
 # for running live EDS tests:
                evolution-data-server <!nocheck>,
                gvfs-daemons <!nocheck>,
-               systemd [linux-any] <!nocheck>,
+               systemd-dev [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
@@ -51,9 +50,9 @@
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
-Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
-            evolution-data-server,
+Recommends: evolution-data-server,
             geoclue-provider,
+Suggests: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
 Breaks: indicator-datetime,
 Replaces: indicator-datetime,
 Description: Ayatana Indicator providing clock and calendar

## ayatana-indicator-datetime 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-datetime VERSION 24.5.0 LANGUAGES C CXX)
+project (ayatana-indicator-datetime VERSION 24.5.1 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== include/CMakeLists.txt ===
add_subdirectory(datetime)
add_subdirectory(notifications)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,13 @@
 
 set_source_files_properties (engine-eds.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_C_FLAGS} -Wno-enum-constexpr-conversion")
 add_library (${SERVICE_LIB} STATIC ${SERVICE_C_SOURCES} ${SERVICE_CXX_SOURCES} ${SERVICE_GENERATED_SOURCES})
+
+pkg_check_modules (LIBNOTIFY libnotify REQUIRED)
+
+if (LIBNOTIFY_VERSION VERSION_GREATER_EQUAL "0.8.4")
+    target_compile_definitions (${SERVICE_LIB} PUBLIC LIBNOTIFY_HAS_SET_APP_ICON)
+endif()
+
 include_directories (${CMAKE_SOURCE_DIR})
 link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

=== debian/changelog ===
ayatana-indicator-datetime (24.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Support API set_app_icon() change in libnotify 0.8.4. (Closes: #1098532).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:57:04 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                systemd-dev [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git

## ayatana-indicator-datetime 25.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-datetime VERSION 24.5.1 LANGUAGES C CXX)
+cmake_minimum_required (VERSION 3.16)
+project (ayatana-indicator-datetime VERSION 25.4.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -13,7 +13,7 @@
 option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
-option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
+option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas, media and backend" OFF)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -61,9 +61,6 @@
     libayatana-common>=0.9.3
     glib-2.0>=2.36
     gio-unix-2.0>=2.36
-    libical>=0.48
-    libecal-2.0>=3.16
-    libedataserver-1.2>=3.5
     gstreamer-1.0>=1.2
     libnotify>=0.7.6
     properties-cpp>=0.0.1
@@ -79,6 +76,7 @@
         lomiri-url-dispatcher>=0
         lomiri-sounds
         lomiri-schemas
+        libmkcal-qt5
     )
 
     pkg_get_variable(ALARM_DEFAULT_SOUND lomiri-sounds alarm_default_sound)
@@ -91,7 +89,19 @@
         -DALARM_DEFAULT_SOUND="${ALARM_DEFAULT_SOUND}"
         -DCALENDAR_DEFAULT_SOUND="${CALENDAR_DEFAULT_SOUND}"
     )
+
+    find_package (ECM REQUIRED NO_MODULE)
+    list (APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+    find_package (KF5 COMPONENTS CalendarCore REQUIRED)
 else ()
+    list (
+        APPEND
+        SERVICE_DEPS
+        libecal-2.0>=3.16
+        libedataserver-1.2>=3.5
+        libical>=0.48
+    )
+
     add_definitions (
         -DALARM_DEFAULT_SOUND="dummy"
         -DCALENDAR_DEFAULT_SOUND="dummy"

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,12 @@
+##
+## indicator variant
+##
+if (ENABLE_LOMIRI_FEATURES)
+    set (INDICATOR_VARIANT_NAME "lomiri-indicator-datetime")
+else ()
+    set (INDICATOR_VARIANT_NAME "${CMAKE_PROJECT_NAME}")
+endif ()
+
 ##
 ##  GSettings schema
 ##
@@ -22,7 +31,7 @@
     pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
     message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")
 
-    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
+    set (SYSTEMD_USER_NAME "${INDICATOR_VARIANT_NAME}.service")
     set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
@@ -38,20 +47,22 @@
 ##  XDG Autostart File
 ##
 
-# where to install
-set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
-message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
+if (NOT ENABLE_LOMIRI_FEATURES)
+    # where to install
+    set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
+    message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
 
-set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
-set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
-set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
+    set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
+    set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
+    set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
 
-# build it
-configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
+    # build it
+    configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 
-# install XDG autostart
-install (FILES "${XDG_AUTOSTART_FILE}"
-         DESTINATION "${XDG_AUTOSTART_DIR}")
+    # install XDG autostart
+    install (FILES "${XDG_AUTOSTART_FILE}"
+             DESTINATION "${XDG_AUTOSTART_DIR}")
+endif()
 
 ##
 ##  Ayatana Indicator File

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,13 @@
 set (SERVICE_LIB "indicatordatetimeservice")
-set (SERVICE_EXEC "ayatana-indicator-datetime-service")
 
-add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")
+if (ENABLE_LOMIRI_FEATURES)
+    set (INDICATOR_VARIANT_NAME "lomiri-indicator-datetime")
+else ()
+    set (INDICATOR_VARIANT_NAME "${CMAKE_PROJECT_NAME}")
+endif ()
+
+add_definitions (-DG_LOG_DOMAIN="${INDICATOR_VARIANT_NAME}")
+set (SERVICE_EXEC "${INDICATOR_VARIANT_NAME}-service")
 
 # handwritten sources
 set (SERVICE_C_SOURCES
@@ -15,7 +21,6 @@
      clock.cpp
      clock-live.cpp
      date-time.cpp
-     engine-eds.cpp
      exporter.cpp
      formatter.cpp
      formatter-desktop.cpp
@@ -40,6 +45,12 @@
      utils.c
      wakeup-timer-mainloop.cpp
      wakeup-timer-powerd.cpp)
+
+if (ENABLE_LOMIRI_FEATURES)
+    list (APPEND SERVICE_CXX_SOURCES engine-mkcal.cpp)
+else ()
+    list (APPEND SERVICE_CXX_SOURCES engine-eds.cpp)
+endif()
 
 # generated sources
 include (GdbusCodegen)
@@ -69,6 +80,12 @@
 include_directories (${CMAKE_SOURCE_DIR})
 link_directories (${SERVICE_DEPS_LIBRARY_DIRS})
 
+if (ENABLE_LOMIRI_FEATURES)
+    set_source_files_properties (engine-mkcal.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
+    target_link_libraries (${SERVICE_LIB} KF5::CalendarCore)
+    target_compile_definitions (${SERVICE_LIB} PRIVATE -DQT_DEBUG -DQT_MESSAGELOGCONTEXT)
+endif ()
+
 add_executable (${SERVICE_EXEC} main.cpp)
 target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
-install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
+install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${INDICATOR_VARIANT_NAME}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -77,23 +77,40 @@
 
 find_program(DBUS_RUNNER dbus-test-runner)
 
-function(add_eds_ics_test_by_name name)
-  set (TEST_NAME ${name})
-  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
-  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics.in"
-                 "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics")
-  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
-  target_link_options(${TEST_NAME} PRIVATE -no-pie)
-  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
-  add_test (${TEST_NAME}
-            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
-            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
-            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
-            ${TEST_NAME}                                           # arg3: test name
-            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
-            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics           # arg5: the ical file for this test
-            ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg6: online accounts database
-endfunction()
+if (ENABLE_LOMIRI_FEATURES)
+    function(add_eds_ics_test_by_name name)
+        set (TEST_NAME ${name})
+        set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
+        add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+        target_link_options(${TEST_NAME} PRIVATE -no-pie)
+        target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
+        add_test (${TEST_NAME}
+                ${CMAKE_CURRENT_SOURCE_DIR}/run-mkcal-db-test.sh
+                ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
+                ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
+                ${TEST_NAME}                                           # arg3: test name
+                ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.db            # arg4: the database file for this test
+                ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg5: online accounts database
+    endfunction()
+else ()
+    function(add_eds_ics_test_by_name name)
+      set (TEST_NAME ${name})
+      set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
+      configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics.in"
+                     "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics")
+      add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+      target_link_options(${TEST_NAME} PRIVATE -no-pie)
+      target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
+      add_test (${TEST_NAME}
+                ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
+                ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
+                ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
+                ${TEST_NAME}                                           # arg3: test name
+                ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
+                ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics           # arg5: the ical file for this test
+                ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg6: online accounts database
+    endfunction()
+endif ()
 add_eds_ics_test_by_name(test-eds-ics-all-day-events)
 add_eds_ics_test_by_name(test-eds-ics-repeating-events)
 add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)

=== debian/changelog ===
ayatana-indicator-datetime (25.4.0-3) unstable; urgency=medium

  * debian/control:
    + Drop <!nocheck> profile paramter from B-D systemd-dev. The systemd-dev
      contains systemd's .pc file needed for normal build. (Closes: #1112082).
    + Drop from R: geoclue-provider (a concept from GeoClue v1). The datetime
      indicator needs to be forward-ported to GeoClue-2.0. (Closes: #1111942,
      #1111943).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 11:40:52 +0200

ayatana-indicator-datetime (25.4.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 15:11:06 +0200

ayatana-indicator-datetime (25.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Drop DPKG_GENSYMBOLS_CHECK_LEVEL=4. Not meaningful for non-library
      packages.
  * debian/:
    + Dually build indicator datetime as two variants: lomiri-indicator-datetime
      and ayatana-indicator-datetime. On Lomiri, the calendar app uses mkCal as
      ICS data storage backend (lomiri variant), on other desktop environments
      we stay with EDS as ICS data storage backend (ayatana variant).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Apr 2025 16:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,21 @@
                intltool,
                libaccounts-glib-dev (>= 1.18),
                libayatana-common-dev (>= 0.9.3),
-               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
-               libedataserver1.2-dev (>= 3.5),
                libglib2.0-dev (>= 2.35.4),
                libgstreamer1.0-dev,
-               libical-dev (>= 1.0),
                libmessaging-menu-dev,
                libnotify-dev (>= 0.7.6),
                libproperties-cpp-dev,
                uuid-dev,
-# for lomiri features
+# for non-Lomiri ICS data storage backend
+               libecal2.0-dev (>= 3.16),
+               libical-dev (>= 1.0),
+               libedataserver1.2-dev (>= 3.5),
+# for Lomiri ICS data storage backend
+               libkf5calendarcore-dev,
+               libmkcal-qt5-dev,
+# more Lomiri features
+               extra-cmake-modules,
                lomiri-schemas (>= 0.1.1),
                lomiri-sounds (>= 22.02),
                liblomiri-url-dispatcher-dev,
@@ -35,7 +40,9 @@
 # for running live EDS tests:
                evolution-data-server <!nocheck>,
                gvfs-daemons <!nocheck>,
-               systemd-dev [linux-any] <!nocheck>,
+# for running live mkcal tests:
+               mkcal-bin <!nocheck>,
+               systemd-dev [linux-any],
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
 Standards-Version: 4.7.2
@@ -49,9 +56,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
+         ayatana-indicator-datetime-common (>= ${source:Version}),
          libglib2.0-bin,
 Recommends: evolution-data-server,
-            geoclue-provider,
 Suggests: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
 Breaks: indicator-datetime,
 Replaces: indicator-datetime,
@@ -59,6 +66,42 @@
  This Ayatana Indicator provides a combined calendar, clock, alarm and
  event management tool.
  .
- Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
- etc.).
+ This variant of the datetime indicator is to be used for non-Lomiri
+ operating environments such as MATE, Xfce, etc.
+ .
+ This variant of the datetime indicator has been built for using
+ evolution-data-server as ICS data storage backend.
+
+Package: lomiri-indicator-datetime
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ayatana-indicator-common,
+         ayatana-indicator-datetime-common (>= ${source:Version}),
+         libglib2.0-bin,
+Recommends: mkcal-bin,
+Suggests: lomiri,
+Breaks: indicator-datetime,
+Replaces: indicator-datetime,
+Description: Lomiri Indicator providing clock and calendar
+ This Lomiri Indicator provides a combined calendar, clock, alarm and
+ event management tool.
+ .
+ This variant of the datetime indicator is targeted for being used on
+ Lomiri, this indicator supports phone devices.
+ .
+ This variant of the datetime indicator has been built for using
+ msyncd (mkcal) as ICS data storage backend.
+
+Package: ayatana-indicator-datetime-common
+Architecture: all
+Depends: ${misc:Depends},
+Breaks: ayatana-indicator-datetime (<< 25.4.0),
+Replaces: ayatana-indicator-datetime (<< 25.4.0),
+Description: Common files used by both Ayatana/Lomiri Indicator Datetime variants
+ Ayatana / Lomiri Indicator Datetime are two variants of the Ayatana
+ Datetime Indicator built for different use cases. They provide a
+ combined calendar, clock, alarm and event management tool for common
+ desktop environments and for the Lomiri operating environment.
+ .
+ This package contains files used by both variants.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-datetime/ayatana-indicator-datetime-(.+)\.tar\.gz
